Bug 1309748 - consider revisiting rename_process_from_path logic
consider revisiting rename_process_from_path logic
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
24
All Linux
unspecified Severity low
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 10:31 EST by Oliver Henshaw
Modified: 2017-08-08 09:03 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 09:03:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oliver Henshaw 2016-02-18 10:31:46 EST
Description of problem:

systemd renames forked processes before exec for ease of debugging (and to better understand the boot process), naming them as "(LASTEIGHTCHARSOFCOMM)" which makes sense to distinguish families of related process at a glance, e.g. systemd-* but makes less sense for the wider population of processes that are started by .service files.

This can be seen with bug #1309514 (where rtkit-daemon service start failed before it could be exec'd due to an selinux problem). The AVC reports comm="(t-daemon)" which isn't very helpful to identify what's failing. In this case I could see that rtkit-daemon was failing due to other messages in the journal and problems with the sound system, but it won't always be so clear.

In particular, when I saw the bug mentioned in the bodhi comments I thought it was a different symptom of the same selinux policy problem when closer reading of the bug and my audit logs revealed that it was in fact the exact bug I was seeing. So in this case, the temporary naming policy certainly didn't help with ease of debugging.


Version-Release number of selected component (if applicable):

systemd-219-27.fc22.x86_64
Comment 1 Fedora End Of Life 2016-07-19 16:16:34 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 2 Oliver Henshaw 2016-07-20 07:32:10 EDT
Behaviour still looks to be present in upstream git code, so changing version to F24.
Comment 3 Fedora End Of Life 2017-07-25 16:11:18 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2017-08-08 09:03:57 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.